io.etcd.jetcd.kv

## Class TxnResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<TxnResponse>
  - - io.etcd.jetcd.kv.TxnResponse

All Implemented Interfaces:
  Response

    public class TxnResponse
    extends AbstractResponse<TxnResponse>

TxnResponse returned by a transaction call contains lists of put, get, delete responses corresponding to either the compare in txn.IF is evaluated to true or false.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`TxnResponse(TxnResponse txnResponse, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<DeleteResponse>` `getDeleteResponses()` returns a list of DeleteResponse; empty list if none.
`List<GetResponse>` `getGetResponses()` returns a list of GetResponse; empty list if none.
`List<PutResponse>` `getPutResponses()` returns a list of PutResponse; empty list if none.
`List<TxnResponse>` `getTxnResponses()`
`boolean` `isSucceeded()` return true if the compare evaluated to true or false otherwise.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxnResponse

    public TxnResponse(TxnResponse txnResponse,
                       ByteSequence namespace)

### Method Detail

#### isSucceeded

    public boolean isSucceeded()

return true if the compare evaluated to true or false otherwise.

#### getDeleteResponses

    public List<DeleteResponse> getDeleteResponses()

returns a list of DeleteResponse; empty list if none.

#### getGetResponses

    public List<GetResponse> getGetResponses()

returns a list of GetResponse; empty list if none.

#### getPutResponses

    public List<PutResponse> getPutResponses()

returns a list of PutResponse; empty list if none.

#### getTxnResponses

    public List<TxnResponse> getTxnResponses()